Subject: Re: bug#51669: some patterns which should match 0x0don’t do so

From: Christoph Anton Mitterer <[email-masked]>
Date: Mon, 08 Nov 2021 15:59:51 +0100

On Sun, 2021-11-07 at 23:20 -0800, Paul Eggert wrote:
> POSIX says text files cannot contain NUL bytes. They can contain 0x02
> bytes, though.

Well yes, that' clear... but at least the console output in the 0x02
case seems to imply that grep already considers it binary (and not text
file).
So I thought it would make sense to do the same if it encounters 0x00.

Anyway... thanks for your help :-)

Cheers,
Chris.